Perform various operations on note records.
Operations
getNote
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getNotePOST /nexum/627/2022.01/account/getNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NoteLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getNoteSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getNoteSelectFieldsPOST /nexum/627/2022.01/account/getNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NoteLocator": 0,
"SelectableFields": {
"IncludeAllNoteFields": false,
"NoteFields": {
"Locator": true,
"Id": true,
"IdType": true,
"Code": true,
"EnterDate": true,
"ExpirationDate": true,
"RecordChangeDate": true,
"VoidFlag": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getNotePagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getNotePagedListPOST /nexum/627/2022.01/account/getNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getNoteListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getNoteListSelectFieldsPOST /nexum/627/2022.01/account/getNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"SelectableFields": {
"IncludeAllNoteFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchNoteSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchNoteSelectFieldsPOST /nexum/627/2022.01/account/searchNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"SelectableFields": {
"IncludeAllNoteFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getNotePagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getNotePagedListSelectFieldsPOST /nexum/627/2022.01/account/getNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllNoteFields": false,
"NoteFields": {
"Locator": true,
"Id": true,
"IdType": true,
"Code": true,
"EnterDate": true,
"ExpirationDate": true,
"RecordChangeDate": true,
"VoidFlag": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchNotePagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchNotePagedSelectFieldsPOST /nexum/627/2022.01/account/searchNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllNoteFields": false,
"NoteFields": {
"Locator": true,
"Id": true,
"IdType": true,
"Code": true,
"EnterDate": true,
"ExpirationDate": true,
"RecordChangeDate": true,
"VoidFlag": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateNoteByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
NoteLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/updateNoteByIDPOST /nexum/627/2022.01/account/updateNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NoteLocator": 0,
"NoteUpdatableFields": {
"Code": 0,
"Text": [
{
"EntryId": 0,
"Text": "string"
}
]
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createNote
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
NoteLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/account/createNotePOST /nexum/627/2022.01/account/createNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NoteCreatableFields": {
"Code": 0,
"Text": [
{
"EntryId": 0,
"Text": "string"
}
]
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteNote
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/account/deleteNotePOST /nexum/627/2022.01/account/deleteNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"NoteLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}